#
# spec file for alberta-2.0 under SUSE LINUX 9.2
# Daniel Koester, 2005
#
Summary: an adaptive finite element toolbox for scientific applications.
Name: alberta
Version: 2.0
Release: 1
Copyright: GPL
Group: Productivity/Scientific/Math
Source: alberta2-2.0.tar.gz
URL: http:/www.alberta-fem.de
Packager: Daniel Koester <koester@math.uni-augsburg.de>
Requires: aaa_base glibc glibc-devel libgcc make gcc rpm blas xorg-x11 xorg-x11-devel xorg-x11-libs xorg-x11-Mesa 
Prefix: /usr/local

%description
ALBERTA  is an Adaptive multi-Level finite element toolbox using 
Bisectioning refinement and Error control by Residual
Techniques for scientific Applications.

This is version 2.0 with many new features. Please see %{_datadir}/alberta2
for a demonstration package. 

Authors:
-------
Alfred Schmidt <schmidt@math.uni-bremen.de>
Kunibert G. Siebert <siebert@math.uni-augsburg.de>
Daniel Koester <koester@math.uni-augsburg.de>
Oliver Kriessl <kriessl@math.uni-augsburg.de>
Claus-Justus Heine <claus@mathematik.uni-freiburg.de>

%prep
%setup

#
# This is the configure command that worked on SuSE Linux 9.2
#
# We do not want to install libtool.alberta, since an "ldconfig" is sufficient
# here. 
#

%build
./configure --prefix=%prefix \
    --bindir=%prefix/bin \
    --libdir=%prefix/lib \
    --datadir=%prefix/share \
    --includedir=%prefix/include \
    --disable-install-libtool \
    --disable-debug \
      ALBERTA_OPTIMIZE_CFLAGS=-O2 \
      FFLAGS=-O2
make

%install
make install

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
/usr/local/lib/libalberta1.a
/usr/local/lib/libalberta1.la
/usr/local/lib/libalberta1.so
/usr/local/lib/libalberta1.so.0
/usr/local/lib/libalberta1.so.0.0.0
#/usr/local/lib/libalberta1_debug.a
#/usr/local/lib/libalberta1_debug.la
#/usr/local/lib/libalberta1_debug.so
#/usr/local/lib/libalberta1_debug.so.0
#/usr/local/lib/libalberta1_debug.so.0.0.0
/usr/local/lib/libalberta2.a
/usr/local/lib/libalberta2.la
/usr/local/lib/libalberta2.so
/usr/local/lib/libalberta2.so.0
/usr/local/lib/libalberta2.so.0.0.0
#/usr/local/lib/libalberta2_debug.a
#/usr/local/lib/libalberta2_debug.la
#/usr/local/lib/libalberta2_debug.so
#/usr/local/lib/libalberta2_debug.so.0
#/usr/local/lib/libalberta2_debug.so.0.0.0
/usr/local/lib/libalberta3.a
/usr/local/lib/libalberta3.la
/usr/local/lib/libalberta3.so
/usr/local/lib/libalberta3.so.0
/usr/local/lib/libalberta3.so.0.0.0
#/usr/local/lib/libalberta3_debug.a
#/usr/local/lib/libalberta3_debug.la
#/usr/local/lib/libalberta3_debug.so
#/usr/local/lib/libalberta3_debug.so.0
#/usr/local/lib/libalberta3_debug.so.0.0.0
/usr/local/lib/libalberta2_util.a
/usr/local/lib/libalberta2_util.la
/usr/local/lib/libalberta2_util.so
/usr/local/lib/libalberta2_util.so.0
/usr/local/lib/libalberta2_util.so.0.0.0
/usr/local/include/alberta2/alberta_inlines.h
/usr/local/include/alberta2/alberta_util_inlines.h
/usr/local/include/alberta2/alberta.h
/usr/local/include/alberta2/alberta_util.h
/usr/local/share/alberta2/Makefile.alberta
/usr/local/share/alberta2/alberta-2.0-demo.tar.gz
